searchData={"items":[{"type":"module","title":"CNFT","doc":"CNFT is a module for handling transactions related to creating, minting, and transferring NFTs on the Solana blockchain.\n\nThis module uses Rustler to interface with native Rust code for performance-critical operations.","ref":"CNFT.html"},{"type":"function","title":"CNFT.create_tree_transaction/2","doc":"Creates a tree transaction.","ref":"CNFT.html#create_tree_transaction/2"},{"type":"function","title":"Parameters - CNFT.create_tree_transaction/2","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - payer: The account that will pay for the transaction.","ref":"CNFT.html#create_tree_transaction/2-parameters"},{"type":"function","title":"Returns - CNFT.create_tree_transaction/2","doc":"- A transaction data structure.","ref":"CNFT.html#create_tree_transaction/2-returns"},{"type":"function","title":"CNFT.get_asset_address/2","doc":"Gets the asset address for a minted NFT.","ref":"CNFT.html#get_asset_address/2"},{"type":"function","title":"Parameters - CNFT.get_asset_address/2","doc":"- tree: The public key (as a string) of the tree structure where the NFT is minted.\n  - nonce: A unique identifier for the minted NFT.","ref":"CNFT.html#get_asset_address/2-parameters"},{"type":"function","title":"Returns - CNFT.get_asset_address/2","doc":"- The asset public key address as a string.","ref":"CNFT.html#get_asset_address/2-returns"},{"type":"function","title":"CNFT.mint_transaction/9","doc":"Mints a new NFT on the Solana blockchain.","ref":"CNFT.html#mint_transaction/9"},{"type":"function","title":"Parameters - CNFT.mint_transaction/9","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - tree: The public key (as a string) of the tree structure where the NFT will be minted.\n  - owner: The public key (as a string) of the account that will own the minted NFT.\n  - payer: The keypair (as a string, e.g., base58 encoded) of the account that will pay for the transaction.\n  - name: The name of the NFT.\n  - symbol: The symbol of the NFT.\n  - uri: The URI pointing to the NFT metadata.\n  - seller_fee_basis_points: The royalty fee in basis points (e.g., 100 = 1%)\n  - is_mutable: Boolean indicating if the NFT metadata can be updated.","ref":"CNFT.html#mint_transaction/9-parameters"},{"type":"function","title":"Returns - CNFT.mint_transaction/9","doc":"- `{:ok, transaction_signature}`: A tuple containing the atom `:ok` and the transaction signature as a string.\n  - `{:error, reason}`: A tuple containing the atom `:error` and a reason for failure (if the NIF fails).","ref":"CNFT.html#mint_transaction/9-returns"},{"type":"function","title":"CNFT.transfer_transaction/5","doc":"Transfers an NFT to a new owner.","ref":"CNFT.html#transfer_transaction/5"},{"type":"function","title":"Parameters - CNFT.transfer_transaction/5","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - asset: The NFT asset to be transferred.\n  - owner: The current owner of the NFT.\n  - payer: The account that will pay for the transaction.\n  - receiver: The account that will receive the NFT.","ref":"CNFT.html#transfer_transaction/5-parameters"},{"type":"function","title":"Returns - CNFT.transfer_transaction/5","doc":"- A transaction data structure.","ref":"CNFT.html#transfer_transaction/5-returns"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}